package org.project.entity;

public interface Entity {
    void attack(Entity target);

    void receiveAttack(int damage, boolean ignoreDefense);

    void defend();

    void heal(int amount);

    void fillMana(int amount);

    boolean isAlive();

    int getHP();

    int getMP();

    int getMaxHP();

    int getMaxMP();

    String getName();
}